Bug 2069499 - Kernel 5.17 only can suspend (S2idle) with bluetooth disabled
Summary: Kernel 5.17 only can suspend (S2idle) with bluetooth disabled
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-29 04:20 UTC by plumlis
Modified: 2023-05-25 17:01 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-25 17:01:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Log from gnome-log. Twice suspend with bluetooth on and once with bluetooth disabled. (625.56 KB, application/octet-stream)
2022-03-29 04:20 UTC, plumlis
no flags Details

Description plumlis 2022-03-29 04:20:49 UTC
Created attachment 1868898 [details]
Log from gnome-log. Twice suspend with bluetooth on and once with bluetooth disabled.

ThinkPad X1 Carbon 9th with latest bios.

Kernel 5.17.1 X64

Fedora 36 X64 prebeta

Gnome 42.0 rc


After upgrade to kernel 5.17 rc8 or kernel 5.17.1, My laptop can't get to suspend. It seems will get it but wakeup immediately after that.

I trid to disabled bluetooth and everything works okay.

Downgrade to Kernel 5.16 also can solve this issue.

Comment 1 plumlis 2022-04-01 01:23:18 UTC
Someone said disable Always on USB can solove this issue.

I tried and it works.

https://bbs.archlinux.org/viewtopic.php?id=274292&p=2

Comment 2 Hans de Goede 2022-04-01 10:06:52 UTC
There are some more 5.17 bluetooth fixes queued up for 5.17.2, please give 5.17.2 a try (with the "Always on usb" Bios option enabled) once it has been released and build for Fedora.

Comment 3 Bob Clary 2022-04-13 13:50:08 UTC
dupe of bug 2063389 ?

Comment 4 plumlis 2022-05-23 08:18:02 UTC
Some progress here.

Comment 5 plumlis 2022-05-23 08:20:41 UTC
This issue is fixed by  Luiz Von Dentz in bluez.git, So it's may not kernel related.

https://bugzilla.kernel.org/show_bug.cgi?id=215768


Patch:

https://patchwork.kernel.org/project/bluetooth/list/?series=641172

https://patchwork.kernel.org/project/bluetooth/patch/20220512234835.1042988-1-luiz.dentz@gmail.com/

So maybe a new version with patch included can solve this issue.

Comment 6 Peter Robinson 2022-05-23 10:46:08 UTC
> Patch:
> 
> https://patchwork.kernel.org/project/bluetooth/list/?series=641172
> 
> https://patchwork.kernel.org/project/bluetooth/patch/20220512234835.1042988-
> 1-luiz.dentz/
> 
> So maybe a new version with patch included can solve this issue.

The two patches referenced are kernel patches so no clue as to why you moved this to bluez, they look like they're queued for 5.19, well -next which this late in the cycle may actually be 5.20.

Comment 7 plumlis 2022-05-23 13:47:36 UTC
I'm sorry for this. 
I thought it's bluez related not kernel.
Now I understand. I'll wait for next version kernel.

Comment 8 Ilkka Tengvall 2022-09-15 07:28:48 UTC
Just to report back, this is still daily problem, and irritating one. I hope this is not lost in between wrong target tags in ticket.

Comment 9 Ben Cotton 2023-04-25 16:57:01 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 10 Ludek Smid 2023-05-25 17:01:24 UTC
Fedora Linux 36 entered end-of-life (EOL) status on 2023-05-16.

Fedora Linux 36 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.